Name:           ikona
Version:        0.7.1
Release:        2%{?dist}
Summary:        Icon Preview designed for Plasma

License:        GPLv2+
URL:            https://invent.kde.org/KDE/ikona
Source0:        https://invent.kde.org/kde/ikona/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  appdata-tools
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  pkgconfig

BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5PlasmaQuick)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5Widgets)

Requires:       hicolor-icon-theme
Requires:       kf5-kirigami2
Requires:       kf5-plasma

ExclusiveArch: %{qt5_qtwebengine_arches}

%description
A utility to preview icons as they are being made.

%prep
%setup -q -n %{name}-v%{version}

%build
%cmake
%make_build

%install
%make_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%license LICENSE
%doc README.md
%{_bindir}/ikona
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/*.appdata.xml

%changelog
* Mon Jan 20 2020 Carson Black <uhhadd@gmail.com> - 0.7.1-2
- Add ExclusiveArch so build doesn't fail due to arches missing QtWebEngine

* Mon Dec 16 2019 Carson Black <uhhadd@gmail.com> - 0.7.1-1
- Initial packaging for Fedora based off of specfile for openSUSE
- Replace openSUSE-isms with Fedora-isms

* Sun Oct  6 2019 Carson Black <uhhadd@gmail.com> - 0.7.1
- Disable services so version won't get changed

* Thu Sep 19 2019 Carson Black uhhadd@gmail.com - 0.7.1
- Update to version v0.7.1

* Wed Sep 11 2019 Carson Black uhhadd@gmail.com - 0.7+git1.827b694
- Update to version v0.7+git1.827b694:
  * Remove unused templates from CMakeLists.txt

* Wed Sep 11 2019 Carson Black uhhadd@gmail.com - 0.7+git0.4df67cf
- Update to version v0.7+git0.4df67cf:
  * Update appdata & desktop metadata
  * CMake
  * Montages, but on the command line
  * Montages
  * Removed CMakeLists.txt.
  * Use checked instead of disabled to show current view
  * Change default homepage from HIG home to HIG icons
  * Use QtQuick.Dialogs instead of kdialog and remove unused imports
  * Update README.md
  * Tidy up the repository and the program

* Sat Aug 10 2019 Carson Black <uhhadd@gmail.com> - 0.6.1.1
- Update to 0.6.1.1, bugfix for stylesheet injection

* Sat Aug 10 2019 Carson Black <uhhadd@gmail.com> - 0.6.1
- Update to 0.6.1

* Mon Jul 15 2019 Carson Black <uhhadd@gmail.com> - 0.5.2.4
- Cleaned up specfile
- Add runtime dependencies
- Use reverse domain name
- Update to 0.5.2.4

* Thu Jul 11 2019 Carson Black <uhhadd@gmail.com> - 0.5.2.1
- Update to 0.5.2.1
- Back to CMake because Meson bugs

* Thu Jul 11 2019 Carson Black <uhhadd@gmail.com> - 0.5.2
- Update to 0.5.2
- Meson port

* Thu Jul 11 2019 Carson Black <uhhadd@gmail.com> - 0.5
- Update to 0.5
- Tidy up package files

* Tue Jul  2 2019 Carson Black <uhhadd@gmail.com> - 0.4
- Update to 0.4

* Wed Jun  5 2019 Carson Black <uhhadd@gmail.com> - 0.2.3
- Update to 0.2.3
- Project renamed to Ikona

* Wed Jun  5 2019 Carson Black <uhhadd@gmail.com> - 0.2.0
- Update to 0.2.0
- Changeable colors, small icon view, and fancier icon

* Tue Jun  4 2019 Carson Black <uhhadd@gmail.com> - 0.1.0
- Initial package
